package nl.iobyte.themeparkconnector.api.config.enums;

public enum StorageLocation {

    SETTINGS("settings.yml"),
    MESSAGE("message.yml");

    private final String name;
    StorageLocation(String name) {
        this.name = name;
    }

    /**
     * Returns filename of StorageLocation
     * @return String
     */
    public String getName() {
        return name;
    }

}
