package nl.iobyte.themeparkconnector.api.network.objects;

import io.socket.client.Socket;
import nl.iobyte.themeparkconnector.api.network.io.SocketConnector;

public abstract class SocketDriver {

    /**
     * Called to register stuff to the socket/connector
     * @param socket Socket
     * @param connector SocketConnector
     */
    public abstract void boot(Socket socket, SocketConnector connector);

}
